Searched refs:keyfile (Results 1 - 25 of 37) sorted by relevance

12

/freebsd-11-stable/share/examples/uefisign/
H A Duefikeys20 keyfile="${1}.key"
29 [ ! -e "${keyfile}" ] || die "${keyfile} already exists"
33 openssl genrsa -out "${keyfile}" 2048 2> /dev/null || die "openssl genrsa failed"
34 openssl req -new -x509 -sha256 -days "${days}" -subj "${subj}" -key "${keyfile}" -out "${certfile}" || die "openssl req failed"
37 echo "certificate: ${certfile}; private key: ${keyfile}; certificate to enroll in UEFI: ${efifile}"
/freebsd-11-stable/crypto/heimdal/kdc/
H A Dkstash.c38 static char *keyfile; variable
51 { "key-file", 'k', arg_string, &keyfile, "master key file", "file" },
53 "just convert keyfile to new format", NULL },
87 if (keyfile == NULL)
88 asprintf(&keyfile, "%s/m-key", hdb_db_dir(context));
94 ret = hdb_read_master_key(context, keyfile, &mkey);
96 krb5_err(context, 1, ret, "reading master key from %s", keyfile);
100 krb5_err(context, 1, ret, "reading master key from %s", keyfile);
136 asprintf(&old, "%s.old", keyfile);
137 asprintf(&new, "%s.new", keyfile);
[all...]
/freebsd-11-stable/contrib/unbound/contrib/
H A Dupdate-anchor.sh15 echo " -b causes keyfile to be made in bind format."
54 # arguments: <zonename> <keyfile>
56 keyfile="$2"
65 $ubhost -v $rh $filearg "$keyfile" -t DNSKEY "$zonename" >$tmpfile
68 echo "Error: Could not update zone $zonename anchor file $keyfile"
79 echo "Error: Could not update zone $zonename anchor file $keyfile"
122 diff $tmp2 $keyfile >/dev/null 2>&1
124 cat $tmp2 > $keyfile
126 echo "$zonename key file $keyfile updated."
128 echo "$zonename key file $keyfile unchange
[all...]
/freebsd-11-stable/etc/rc.d/
H A Dsshd34 local keyfile
42 keyfile="/etc/ssh/ssh_host_key"
45 keyfile="/etc/ssh/ssh_host_${alg}_key"
57 if [ -f "${keyfile}" ] ; then
61 /usr/bin/ssh-keygen -q -t $alg -f "$keyfile" -N ""
62 /usr/bin/ssh-keygen -l -f "$keyfile.pub"
/freebsd-11-stable/tests/sys/geom/class/eli/
H A Dattach_test.sh18 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
20 atf_check geli init -B none -P -K keyfile ${md}
21 atf_check geli attach -d -p -k keyfile ${md}
55 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
57 atf_check geli init -B none -P -K keyfile ${md}
58 atf_check geli attach -r -p -k keyfile ${md}
83 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
85 atf_check geli init -B none -P -K keyfile ${md}
H A Ddetach_test.sh18 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
20 atf_check geli init -B none -P -K keyfile ${md}
21 atf_check geli attach -p -k keyfile ${md}
H A Dintegrity_test.sh14 -K keyfile -s $secsize ${md}
15 atf_check geli attach -p -k keyfile ${md}
60 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
79 geli init -B none -a $aalgo -e $ealgo -l $keylen -P -K keyfile \
86 atf_check geli attach -p -k keyfile ${md}
106 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
123 geli init -B none -a $aalgo -e $ealgo -l $keylen -P -K keyfile \
130 atf_check geli attach -p -k keyfile ${md}
150 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
H A Dinit_test.sh14 geli init -B none -e $ealgo -l $keylen -P -K keyfile \
16 atf_check geli attach -p -k keyfile ${md}
48 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
70 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
76 atf_check -s exit:0 -o ignore geli init -B none -P -K keyfile ${md}
83 atf_check -s exit:0 -o ignore geli init -P -K keyfile ${md}
88 atf_check -s not-exit:0 -e ignore geli attach -p -k keyfile ${md}
90 atf_check -s exit:0 -o ignore geli attach -p -k keyfile ${md}
97 geli init -B backupfile -P -K keyfile ${md}
102 atf_check -s not-exit:0 -e ignore geli attach -p -k keyfile
[all...]
H A Dkill_test.sh81 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
83 atf_check geli init -B none -P -K keyfile ${md}
85 atf_check geli attach -r -p -k keyfile ${md}
91 atf_check geli attach -p -k keyfile ${md}
H A Ddelkey_test.sh96 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
98 atf_check geli init -B none -P -K keyfile ${md}
99 atf_check geli attach -r -p -k keyfile ${md}
H A Dsetkey_test.sh108 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
110 atf_check geli init -B none -P -K keyfile ${md}
111 atf_check geli attach -r -p -k keyfile ${md}
/freebsd-11-stable/usr.bin/ssh-copy-id/
H A Dssh-copy-id.sh33 echo "usage: ssh-copy-id [-lv] [-i keyfile] [-o option] [-p port] [user@]hostname" >&2
43 keyfile=$HOME/.ssh/authorized_keys ; \
47 if ! grep -sqwF "$key" "$keyfile"; then \
48 printf "$alg $key $comment\n" >> "$keyfile" ; \
52 /sbin/restorecon -F "$HOME/.ssh/" "$keyfile" >/dev/null 2>&1 || true ; \
/freebsd-11-stable/contrib/ntp/sntp/
H A Dcrypto.h28 extern int auth_init(const char *keyfile, struct key **keys);
H A Dcrypto.c211 /* Load keys from the specified keyfile into the key structures.
217 const char *keyfile,
221 FILE *keyf = fopen(keyfile, "r");
232 printf("sntp auth_init: Couldn't open key file %s for reading!\n", keyfile);
237 printf("sntp auth_init: Key file %s is empty!\n", keyfile);
283 keyfile, line_cnt,
216 auth_init( const char *keyfile, struct key **keys ) argument
/freebsd-11-stable/crypto/openssl/apps/
H A Dsmime.c98 char *certfile = NULL, *keyfile = NULL, *contfile = NULL; local
250 if (!keyfile)
251 keyfile = signerfile;
254 sk_OPENSSL_STRING_push(skkeys, keyfile);
255 keyfile = NULL;
274 if (keyfile) {
285 sk_OPENSSL_STRING_push(skkeys, keyfile);
287 keyfile = *++args;
338 if (keyfile && !signerfile) {
348 if (!keyfile)
[all...]
H A Ddgst.c118 const char *outfile = NULL, *keyfile = NULL; local
172 keyfile = *(++argv);
180 keyfile = *(++argv);
186 keyfile = *(++argv);
246 if (keyfile != NULL && argc > 1) {
318 if (keyfile)
348 if ((! !mac_name + ! !keyfile + ! !hmac_key) > 1) {
353 if (keyfile) {
355 sigkey = load_pubkey(bio_err, keyfile, keyform, 0, NULL,
358 sigkey = load_key(bio_err, keyfile, keyfor
[all...]
H A Drsautl.c92 char *keyfile = NULL; local
134 keyfile = *(++argv);
207 pkey = load_key(bio_err, keyfile, keyform, 0,
212 pkey = load_pubkey(bio_err, keyfile, keyform, 0,
217 x = load_cert(bio_err, keyfile, keyform, NULL, e, "Certificate");
H A Dspkac.c93 char *challenge = NULL, *keyfile = NULL; local
126 keyfile = *(++argv);
188 if (keyfile != NULL) {
190 strcmp(keyfile, "-") ? keyfile : NULL,
H A Dcms.c123 char *certfile = NULL, *keyfile = NULL, *contfile = NULL; local
388 if (!keyfile)
389 keyfile = signerfile;
392 sk_OPENSSL_STRING_push(skkeys, keyfile);
393 keyfile = NULL;
426 if (keyfile) {
437 sk_OPENSSL_STRING_push(skkeys, keyfile);
439 keyfile = *++args;
452 if (keyfile || signerfile)
536 if (keyfile
[all...]
H A Dcrl.c111 char *infile = NULL, *outfile = NULL, *crldiff = NULL, *keyfile = NULL; local
183 keyfile = *(++argv);
300 if (!keyfile) {
307 pkey = load_key(bio_err, keyfile, keyformat, 0, NULL, NULL,
H A Dpkeyutl.c76 const char *keyfile, int keyform, int key_type,
407 const char *keyfile, int keyform, int key_type,
429 pkey = load_key(bio_err, keyfile, keyform, 0,
434 pkey = load_pubkey(bio_err, keyfile, keyform, 0,
439 x = load_cert(bio_err, keyfile, keyform, NULL, e, "Certificate");
406 init_ctx(int *pkeysize, const char *keyfile, int keyform, int key_type, char *passargin, int pkey_op, ENGINE *e, int engine_impl) argument
/freebsd-11-stable/crypto/heimdal/kadmin/
H A Dkadmin.c39 static char *keyfile; variable
63 "key-file", 'k', arg_string, &keyfile,
204 if (keyfile) {
205 conf.stash_file = keyfile;
/freebsd-11-stable/contrib/openbsm/bin/auditdistd/
H A Dtoken.l65 keyfile { DP; return KEYFILE; }
/freebsd-11-stable/sys/dev/random/
H A Drandom_harvestq.c358 uint8_t *keyfile, *data; local
364 keyfile = preload_search_by_type(RANDOM_HARVESTQ_BOOT_ENTROPY_FILE);
365 if (keyfile != NULL) {
366 data = preload_fetch_addr(keyfile);
367 size = preload_fetch_size(keyfile);
/freebsd-11-stable/sys/geom/eli/
H A Dg_eli.c983 u_char *keyfile, *data; local
990 keyfile = preload_search_by_type(name);
991 if (keyfile == NULL && i == 0) {
993 * If there is only one keyfile, allow simpler name.
996 keyfile = preload_search_by_type(name);
998 if (keyfile == NULL)
1000 data = preload_fetch_addr(keyfile);
1006 size = preload_fetch_size(keyfile);
1012 file = preload_search_info(keyfile, MODINFO_NAME);
1018 G_ELI_DEBUG(1, "Loaded keyfile
1027 u_char *keyfile, *data; local
[all...]

Completed in 153 milliseconds

12